org.richfaces.taglib

## Class PanelMenuGroupTag

- java.lang.Object
- - javax.faces.webapp.UIComponentTagBase
  - - javax.faces.webapp.UIComponentClassicTagBase
    - - javax.faces.webapp.UIComponentELTag
      - - org.richfaces.webapp.taglib.UIComponentELTagBase
        - - org.ajax4jsf.webapp.taglib.UIComponentTagBase
          - - org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
            - - org.richfaces.taglib.PanelMenuGroupTagBase
              - - org.richfaces.taglib.PanelMenuGroupTag

- All Implemented Interfaces:
    javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

      public class PanelMenuGroupTag
      extends PanelMenuGroupTagBase

- - ### Field Summary

    - ### Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `bodyContent, pageContext, UNIQUE_ID_PREFIX`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PanelMenuGroupTag()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComponentType()`
    `java.lang.String` | `getRendererType()`
    `void` | `release()`
    `void` | `setAccesskey(javax.el.ValueExpression __accesskey)` This attribute assigns an access key to an element.
    `void` | `setAction(javax.el.MethodExpression __action)` MethodBinding pointing at the application action to be invoked, if this UIComponent is activated by you, during the Apply Request Values or Invoke Application phase of the request processing lifecycle, depending on the value of the immediate property Setter for action
    `void` | `setActionListener(javax.el.MethodExpression __actionListener)` MethodBinding pointing at method accepting an ActionEvent with return type void Setter for actionListener
    `void` | `setAjaxSingle(javax.el.ValueExpression __ajaxSingle)` boolean attribute which provides possibility to limit JSF tree processing(decoding, conversion/validation, value applying) to the component which send the request only Setter for ajaxSingle
    `void` | `setAlign(javax.el.ValueExpression __align)` Deprecated.
    `void` | `setAlt(javax.el.ValueExpression __alt)` For a user agents that cannot display images, forms, or applets, this attribute specifies alternate text.
    `void` | `setBypassUpdates(javax.el.ValueExpression __bypassUpdates)` If "true", after process validations phase it skips updates of model beans on a force render response.
    `void` | `setConverter(javax.el.ValueExpression __converter)` Id of Converter to be used or reference to a Converter Setter for converter
    `void` | `setConverterMessage(javax.el.ValueExpression __converterMessage)` A ValueExpression enabled attribute that, if present, will be used as the text of the converter message, replacing any message that comes from the converter Setter for converterMessage
    `void` | `setData(javax.el.ValueExpression __data)` Serialized (on default with JSON) data passed on the client by a developer on AJAX request.
    `void` | `setDisabled(javax.el.ValueExpression __disabled)` When set for a form control, this boolean attribute disables the control for your input Setter for disabled
    `void` | `setDisabledClass(javax.el.ValueExpression __disabledClass)` Class to be applied to disabled items.
    `void` | `setDisabledStyle(javax.el.ValueExpression __disabledStyle)` CSS style rules to be applied to disabled items.
    `void` | `setEventsQueue(javax.el.ValueExpression __eventsQueue)` Name of requests queue to avoid send next request before complete other from same event.
    `void` | `setExpandMode(javax.el.ValueExpression __expandMode)` Set the submission mode for all panel menu groups after expand/collapse except ones where this attribute redefined.
    `void` | `setFocus(javax.el.ValueExpression __focus)` id of element to set focus after request completed on client side Setter for focus
    `void` | `setHoverClass(javax.el.ValueExpression __hoverClass)` Class to be applied to hovered items.
    `void` | `setHoverStyle(javax.el.ValueExpression __hoverStyle)` CSS style rules to be applied to hovered items.
    `void` | `setIconClass(javax.el.ValueExpression __iconClass)` Class to be applied to icon element.
    `void` | `setIconCollapsed(javax.el.ValueExpression __iconCollapsed)` Path to the icon to be displayed for the collapsed item state.
    `void` | `setIconDisabled(javax.el.ValueExpression __iconDisabled)` Path to the icon to be displayed for the disabled item state.
    `void` | `setIconExpanded(javax.el.ValueExpression __iconExpanded)` Path to the icon to be displayed for the expanded item state.
    `void` | `setIconStyle(javax.el.ValueExpression __iconStyle)` CSS style rules to be applied Setter for iconStyle
    `void` | `setIgnoreDupResponses(javax.el.ValueExpression __ignoreDupResponses)` Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Setter for ignoreDupResponses
    `void` | `setImmediate(javax.el.ValueExpression __immediate)` True means, that the default ActionListener should be executed immediately (i.e. during Apply Request Values phase of the request processing lifecycle), rather than waiting until the Invoke Application phase Setter for immediate
    `void` | `setLabel(javax.el.ValueExpression __label)` Displayed node's text Setter for label
    `void` | `setLimitToList(javax.el.ValueExpression __limitToList)` If "true", then of all AJAX-rendered on the page components only those will be updated, which ID's are passed to the "reRender" attribute of the describable component.
    `void` | `setMaxlength(javax.el.ValueExpression __maxlength)` Specifies the maximum number of digits that could be entered into the input field.
    `void` | `setName(javax.el.ValueExpression __name)` Refers to group/item with the same name.
    `void` | `setOnbeforedomupdate(javax.el.ValueExpression __onbeforedomupdate)` The client side script method to be called before DOM is updated Setter for onbeforedomupdate
    `void` | `setOnblur(javax.el.ValueExpression __onblur)` The client side script method to be called when the element loses the focus Setter for onblur
    `void` | `setOnchange(javax.el.ValueExpression __onchange)` The client side script method to be called when the element value is changed Setter for onchange
    `void` | `setOncollapse(javax.el.ValueExpression __oncollapse)` HTML: script expression; group was closed Setter for oncollapse
    `void` | `setOncomplete(javax.el.ValueExpression __oncomplete)` The client side script method to be called after the request is completed Setter for oncomplete
    `void` | `setOnexpand(javax.el.ValueExpression __onexpand)` HTML: script expression; group was opened Setter for onexpand
    `void` | `setOnfocus(javax.el.ValueExpression __onfocus)` The client side script method to be called when the element gets the focus Setter for onfocus
    `void` | `setOnselect(javax.el.ValueExpression __onselect)` The client side script method to be called when some text is selected in the text field.
    `void` | `setProcess(javax.el.ValueExpression __process)` Id['s] (in format of call UIComponent.findComponent()) of components, processed at the phases 2-5 in case of AjaxRequest caused by this component.
    `protected void` | `setProperties(javax.faces.component.UIComponent component)`
    `void` | `setRequestDelay(javax.el.ValueExpression __requestDelay)` Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send.
    `void` | `setRequired(javax.el.ValueExpression __required)` If "true", this component is checked for non-empty input Setter for required
    `void` | `setRequiredMessage(javax.el.ValueExpression __requiredMessage)` A ValueExpression enabled attribute that, if present, will be used as the text of the validation message for the "required" facility, if the "required" facility is used Setter for requiredMessage
    `void` | `setReRender(javax.el.ValueExpression __reRender)` Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component.
    `void` | `setSimilarityGroupingId(javax.el.ValueExpression __similarityGroupingId)` If there are any component requests with identical IDs then these requests will be grouped.
    `void` | `setSize(javax.el.ValueExpression __size)` This attribute tells the user agent the initial width of the control.
    `void` | `setStatus(javax.el.ValueExpression __status)` ID (in format of call UIComponent.findComponent()) of Request status component Setter for status
    `void` | `setTabindex(javax.el.ValueExpression __tabindex)` This attribute specifies the position of the current element in the tabbing order for the current document.
    `void` | `setTarget(javax.el.ValueExpression __target)` Target frame for action to execute.
    `void` | `setTimeout(javax.el.ValueExpression __timeout)` Response waiting time on a particular request.
    `void` | `setValidator(javax.el.MethodExpression __validator)` MethodBinding pointing at a method that is called during Process Validations phase of the request processing lifecycle, to validate the current value of this component Setter for validator
    `void` | `setValidatorMessage(javax.el.ValueExpression __validatorMessage)` A ValueExpression enabled attribute that, if present, will be used as the text of the validator message, replacing any message that comes from the validator Setter for validatorMessage
    `void` | `setValueChangeListener(javax.el.MethodExpression __valueChangeListener)` Listener for value changes Setter for valueChangeListener

    - ### Methods inherited from class org.richfaces.taglib.PanelMenuGroupTagBase

      `setExpanded, setValue`

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

      `setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase

      `getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

    - ### Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase

      `setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

    - ### Methods inherited from class javax.faces.webapp.UIComponentELTag

      `createComponent, getELContext, hasBinding, setBinding, setRendered`

    - ### Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `doEndTag, doStartTag, getParent, setPageContext, setParent`

- - ### Constructor Detail

    - #### PanelMenuGroupTag

          public PanelMenuGroupTag()

  - ### Method Detail

    - #### setAccesskey

          public void setAccesskey(javax.el.ValueExpression __accesskey)

      This attribute assigns an access key to an element. An access key is a single character from the document character set. Note: Authors should consider the input method of the expected reader when specifying an accesskey Setter for accesskey
      Parameters:
        `accesskey` - - new value

    - #### setAction

          public void setAction(javax.el.MethodExpression __action)

      MethodBinding pointing at the application action to be invoked, if this UIComponent is activated by you, during the Apply Request Values or Invoke Application phase of the request processing lifecycle, depending on the value of the immediate property Setter for action
      Parameters:
        `action` - - new value

    - #### setActionListener

          public void setActionListener(javax.el.MethodExpression __actionListener)

      MethodBinding pointing at method accepting an ActionEvent with return type void Setter for actionListener
      Parameters:
        `actionListener` - - new value

    - #### setAjaxSingle

          public void setAjaxSingle(javax.el.ValueExpression __ajaxSingle)

      boolean attribute which provides possibility to limit JSF tree processing(decoding, conversion/validation, value applying) to the component which send the request only Setter for ajaxSingle
      Parameters:
        `ajaxSingle` - - new value

    - #### setAlign

          public void setAlign(javax.el.ValueExpression __align)

      Deprecated. This attribute specifies the horizontal alignment of its element with respect to the surrounding context. The possible values are "left", "center", "right" and "justify". The default depends on the base text direction. For left to right text, the default is align="left", while for right to left text, the default is align="right". Setter for align
      Parameters:
        `align` - - new value

    - #### setAlt

          public void setAlt(javax.el.ValueExpression __alt)

      For a user agents that cannot display images, forms, or applets, this attribute specifies alternate text. The language of the alternate text is specified by the lang attribute Setter for alt
      Parameters:
        `alt` - - new value

    - #### setBypassUpdates

          public void setBypassUpdates(javax.el.ValueExpression __bypassUpdates)

      If "true", after process validations phase it skips updates of model beans on a force render response. It can be used for validating components input Setter for bypassUpdates
      Parameters:
        `bypassUpdates` - - new value

    - #### setConverter

          public void setConverter(javax.el.ValueExpression __converter)

      Id of Converter to be used or reference to a Converter Setter for converter
      Parameters:
        `converter` - - new value

    - #### setConverterMessage

          public void setConverterMessage(javax.el.ValueExpression __converterMessage)

      A ValueExpression enabled attribute that, if present, will be used as the text of the converter message, replacing any message that comes from the converter Setter for converterMessage
      Parameters:
        `converterMessage` - - new value

    - #### setData

          public void setData(javax.el.ValueExpression __data)

      Serialized (on default with JSON) data passed on the client by a developer on AJAX request. It's accessible via "data.foo" syntax Setter for data
      Parameters:
        `data` - - new value

    - #### setDisabled

          public void setDisabled(javax.el.ValueExpression __disabled)

      When set for a form control, this boolean attribute disables the control for your input Setter for disabled
      Parameters:
        `disabled` - - new value

    - #### setDisabledClass

          public void setDisabledClass(javax.el.ValueExpression __disabledClass)

      Class to be applied to disabled items. Setter for disabledClass
      Parameters:
        `disabledClass` - - new value

    - #### setDisabledStyle

          public void setDisabledStyle(javax.el.ValueExpression __disabledStyle)

      CSS style rules to be applied to disabled items. Setter for disabledStyle
      Parameters:
        `disabledStyle` - - new value

    - #### setEventsQueue

          public void setEventsQueue(javax.el.ValueExpression __eventsQueue)

      Name of requests queue to avoid send next request before complete other from same event. Can be used to reduce number of requests of frequently events (key press, mouse move etc.) Setter for eventsQueue
      Parameters:
        `eventsQueue` - - new value

    - #### setExpandMode

          public void setExpandMode(javax.el.ValueExpression __expandMode)

      Set the submission mode for all panel menu groups after expand/collapse except ones where this attribute redefined. Possible value are "ajax", "server", "none". Default value is "none". Setter for expandMode
      Parameters:
        `expandMode` - - new value

    - #### setFocus

          public void setFocus(javax.el.ValueExpression __focus)

      id of element to set focus after request completed on client side Setter for focus
      Parameters:
        `focus` - - new value

    - #### setHoverClass

          public void setHoverClass(javax.el.ValueExpression __hoverClass)

      Class to be applied to hovered items. Setter for hoverClass
      Parameters:
        `hoverClass` - - new value

    - #### setHoverStyle

          public void setHoverStyle(javax.el.ValueExpression __hoverStyle)

      CSS style rules to be applied to hovered items. Setter for hoverStyle
      Parameters:
        `hoverStyle` - - new value

    - #### setIconClass

          public void setIconClass(javax.el.ValueExpression __iconClass)

      Class to be applied to icon element. Setter for iconClass
      Parameters:
        `iconClass` - - new value

    - #### setIconCollapsed

          public void setIconCollapsed(javax.el.ValueExpression __iconCollapsed)

      Path to the icon to be displayed for the collapsed item state. You can also use predefined icons, setting the attribute to one of these possible values: "triangle", "triangleUp", "triangleDown", "disc", "chevron", "chevronUp", "chevronDown", "grid". Default value is "grid". Setter for iconCollapsed
      Parameters:
        `iconCollapsed` - - new value

    - #### setIconDisabled

          public void setIconDisabled(javax.el.ValueExpression __iconDisabled)

      Path to the icon to be displayed for the disabled item state. Setter for iconDisabled
      Parameters:
        `iconDisabled` - - new value

    - #### setIconExpanded

          public void setIconExpanded(javax.el.ValueExpression __iconExpanded)

      Path to the icon to be displayed for the expanded item state. You can also use predefined icons, setting the attribute to one of these possible values: "triangle", "triangleUp", "triangleDown", "disc", "chevron", "chevronUp", "chevronDown", "grid". Default value is "grid". Setter for iconExpanded
      Parameters:
        `iconExpanded` - - new value

    - #### setIconStyle

          public void setIconStyle(javax.el.ValueExpression __iconStyle)

      CSS style rules to be applied Setter for iconStyle
      Parameters:
        `iconStyle` - - new value

    - #### setIgnoreDupResponses

          public void setIgnoreDupResponses(javax.el.ValueExpression __ignoreDupResponses)

      Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Setter for ignoreDupResponses
      Parameters:
        `ignoreDupResponses` - - new value

    - #### setImmediate

          public void setImmediate(javax.el.ValueExpression __immediate)

      True means, that the default ActionListener should be executed immediately (i.e. during Apply Request Values phase of the request processing lifecycle), rather than waiting until the Invoke Application phase Setter for immediate
      Parameters:
        `immediate` - - new value

    - #### setLabel

          public void setLabel(javax.el.ValueExpression __label)

      Displayed node's text Setter for label
      Parameters:
        `label` - - new value

    - #### setLimitToList

          public void setLimitToList(javax.el.ValueExpression __limitToList)

      If "true", then of all AJAX-rendered on the page components only those will be updated, which ID's are passed to the "reRender" attribute of the describable component. "false"-the default value-means that all components with ajaxRendered="true" will be updated. Setter for limitToList
      Parameters:
        `limitToList` - - new value

    - #### setMaxlength

          public void setMaxlength(javax.el.ValueExpression __maxlength)

      Specifies the maximum number of digits that could be entered into the input field. The maximum number is unlimited by default. If entered value exceeds the value specified in "maxValue" attribute than the slider takes a maximum value position. Setter for maxlength
      Parameters:
        `maxlength` - - new value

    - #### setName

          public void setName(javax.el.ValueExpression __name)

      Refers to group/item with the same name. Default value is "getId()". Setter for name
      Parameters:
        `name` - - new value

    - #### setOnbeforedomupdate

          public void setOnbeforedomupdate(javax.el.ValueExpression __onbeforedomupdate)

      The client side script method to be called before DOM is updated Setter for onbeforedomupdate
      Parameters:
        `onbeforedomupdate` - - new value

    - #### setOnblur

          public void setOnblur(javax.el.ValueExpression __onblur)

      The client side script method to be called when the element loses the focus Setter for onblur
      Parameters:
        `onblur` - - new value

    - #### setOnchange

          public void setOnchange(javax.el.ValueExpression __onchange)

      The client side script method to be called when the element value is changed Setter for onchange
      Parameters:
        `onchange` - - new value

    - #### setOncollapse

          public void setOncollapse(javax.el.ValueExpression __oncollapse)

      HTML: script expression; group was closed Setter for oncollapse
      Parameters:
        `oncollapse` - - new value

    - #### setOncomplete

          public void setOncomplete(javax.el.ValueExpression __oncomplete)

      The client side script method to be called after the request is completed Setter for oncomplete
      Parameters:
        `oncomplete` - - new value

    - #### setOnexpand

          public void setOnexpand(javax.el.ValueExpression __onexpand)

      HTML: script expression; group was opened Setter for onexpand
      Parameters:
        `onexpand` - - new value

    - #### setOnfocus

          public void setOnfocus(javax.el.ValueExpression __onfocus)

      The client side script method to be called when the element gets the focus Setter for onfocus
      Parameters:
        `onfocus` - - new value

    - #### setOnselect

          public void setOnselect(javax.el.ValueExpression __onselect)

      The client side script method to be called when some text is selected in the text field. This attribute can be used with the INPUT and TEXTAREA elements. Setter for onselect
      Parameters:
        `onselect` - - new value

    - #### setProcess

          public void setProcess(javax.el.ValueExpression __process)

      Id['s] (in format of call UIComponent.findComponent()) of components, processed at the phases 2-5 in case of AjaxRequest caused by this component. Can be single id, comma-separated list of Id's, or EL Expression with array or Collection Setter for process
      Parameters:
        `process` - - new value

    - #### setReRender

          public void setReRender(javax.el.ValueExpression __reRender)

      Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component. Can be single id, comma-separated list of Id's, or EL Expression with array or Collection Setter for reRender
      Parameters:
        `reRender` - - new value

    - #### setRequestDelay

          public void setRequestDelay(javax.el.ValueExpression __requestDelay)

      Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send. When the delay time is over, the request will be sent to the server or removed if the newest 'similar' request is in a queue already Setter for requestDelay
      Parameters:
        `requestDelay` - - new value

    - #### setRequired

          public void setRequired(javax.el.ValueExpression __required)

      If "true", this component is checked for non-empty input Setter for required
      Parameters:
        `required` - - new value

    - #### setRequiredMessage

          public void setRequiredMessage(javax.el.ValueExpression __requiredMessage)

      A ValueExpression enabled attribute that, if present, will be used as the text of the validation message for the "required" facility, if the "required" facility is used Setter for requiredMessage
      Parameters:
        `requiredMessage` - - new value

    - #### setSimilarityGroupingId

          public void setSimilarityGroupingId(javax.el.ValueExpression __similarityGroupingId)

      If there are any component requests with identical IDs then these requests will be grouped. Setter for similarityGroupingId
      Parameters:
        `similarityGroupingId` - - new value

    - #### setSize

          public void setSize(javax.el.ValueExpression __size)

      This attribute tells the user agent the initial width of the control. The width is given in pixels except when type attribute has the value "text" or "password". In that case, its value refers to the (integer) number of characters Setter for size
      Parameters:
        `size` - - new value

    - #### setStatus

          public void setStatus(javax.el.ValueExpression __status)

      ID (in format of call UIComponent.findComponent()) of Request status component Setter for status
      Parameters:
        `status` - - new value

    - #### setTabindex

          public void setTabindex(javax.el.ValueExpression __tabindex)

      This attribute specifies the position of the current element in the tabbing order for the current document. This value must be a number between 0 and 32767. User agents should ignore leading zeros Setter for tabindex
      Parameters:
        `tabindex` - - new value

    - #### setTarget

          public void setTarget(javax.el.ValueExpression __target)

      Target frame for action to execute. Setter for target
      Parameters:
        `target` - - new value

    - #### setTimeout

          public void setTimeout(javax.el.ValueExpression __timeout)

      Response waiting time on a particular request. If a response is not received during this time, the request is aborted Setter for timeout
      Parameters:
        `timeout` - - new value

    - #### setValidator

          public void setValidator(javax.el.MethodExpression __validator)

      MethodBinding pointing at a method that is called during Process Validations phase of the request processing lifecycle, to validate the current value of this component Setter for validator
      Parameters:
        `validator` - - new value

    - #### setValidatorMessage

          public void setValidatorMessage(javax.el.ValueExpression __validatorMessage)

      A ValueExpression enabled attribute that, if present, will be used as the text of the validator message, replacing any message that comes from the validator Setter for validatorMessage
      Parameters:
        `validatorMessage` - - new value

    - #### setValueChangeListener

          public void setValueChangeListener(javax.el.MethodExpression __valueChangeListener)

      Listener for value changes Setter for valueChangeListener
      Parameters:
        `valueChangeListener` - - new value

    - #### release

          public void release()

      Specified by:
        `release` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `release` in class `PanelMenuGroupTagBase`

    - #### setProperties

          protected void setProperties(javax.faces.component.UIComponent component)

      Overrides:
        `setProperties` in class `PanelMenuGroupTagBase`

    - #### getComponentType

          public java.lang.String getComponentType()

      Specified by:
        `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

    - #### getRendererType

          public java.lang.String getRendererType()

      Specified by:
        `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Copyright © 2014. All Rights Reserved.